Page MenuHomePhabricator

Cleanup new header cache artifacts
Closed, ResolvedPublic1 Story Points

Description

The new header HTML is riding the train and will be deployed as part of 1.29.0-wmf.13 which will roll out from the 21st February.

So as soon as that branch has been cut, you can remove any FIXMEs associated with T157987 and clearing the cache. They should relate to FIXMEs added in {{8180f4ab5e8f5fea6a0e7d6ad3da1db276b3149b}} and {{If1b014feac263ac5632cbbf797f597e43cf74868}} and are (but may not be limited to) the following:

resources/mobile.search/SearchOverlay.less
132:// Please remove entire block when the cache has cleared for T157987.

resources/skins.minerva.base.styles/ui.less
123:	// FIXME: form selector is only necessary until cache has cleared. Please remove promptly (T157987)
326:	// FIXME: Remove when cache has cleared (T157987)

Please ensure that any styles relating to feature-header-v1 and feature-header-v2 are not removed at this time. These are captured in T156796.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterHygiene: Remove unused main class declaration
mediawiki/extensions/MobileFrontend : masterHygiene: Remove unused header > .main declaration
mediawiki/extensions/MobileFrontend : masterCleanup header cache artifacts

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptFeb 15 2017, 1:02 AM
ovasileva triaged this task as High priority.Feb 15 2017, 6:53 PM
ovasileva set the point value for this task to 1.
phuedx updated the task description. (Show Details)Feb 21 2017, 6:15 PM
phuedx added a subscriber: phuedx.

The -wmf.13 branch hasn't been cut yet. It should be done at 8 PM UTC. Once it has been, then this task can be worked on.

The -wmf.13 branch was cut yesterday at ~8 PM UTC.

pmiazga claimed this task.Feb 22 2017, 6:05 PM
pmiazga moved this task from To Do to Doing on the Reading-Web-Sprint-92-๐Ÿœ board.

Change 339233 had a related patch set uploaded (by Pmiazga):
Cleanup header cache artifacts

https://gerrit.wikimedia.org/r/339233

Change 339233 merged by jenkins-bot:
Cleanup header cache artifacts

https://gerrit.wikimedia.org/r/339233

Change 339682 had a related patch set uploaded (by Pmiazga):
Hygiene: Remove unused main class declaration

https://gerrit.wikimedia.org/r/339682

Change 339683 had a related patch set uploaded (by Pmiazga):
Hygiene: Remove unused header > .main declaration

https://gerrit.wikimedia.org/r/339683

Change 339682 abandoned by Pmiazga:
Hygiene: Remove unused main class declaration

Reason:
duplicate

https://gerrit.wikimedia.org/r/339682

Change 339682 restored by Pmiazga:
Hygiene: Remove unused main class declaration

https://gerrit.wikimedia.org/r/339682

Change 339683 abandoned by Pmiazga:
Hygiene: Remove unused header > .main declaration

Reason:
incorrect commit (I forgot to do --amend)

https://gerrit.wikimedia.org/r/339683

phuedx reassigned this task from pmiazga to bmansurov.Feb 28 2017, 10:53 AM
phuedx added subscribers: bmansurov, pmiazga.

This is a technical task. Over to you @bmansurov!

bmansurov closed this task as Resolved.Feb 28 2017, 9:21 PM
bmansurov removed bmansurov as the assignee of this task.

Although some open patches link to this task, they are not directly related to what's being asked in the task description. The FIXME's have been removed, so resolving the task.

Change 339682 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend] Hygiene: Remove unused main class declaration

https://gerrit.wikimedia.org/r/339682